#ifndef ndestylebaseengine_h
#define ndestylebaseengine_h

#include "ndestyle.h"
#include <QObject>
#include <QSet>

namespace NdeStyle
{

class BaseEngine: public QObject
{
    Q_OBJECT
public:
    using Pointer = WeakPointer<BaseEngine>;
    explicit BaseEngine( QObject* parent );
    virtual ~BaseEngine( void );

    virtual bool registerWidget( QWidget* widget) = 0;
public Q_SLOTS:
    virtual bool unregisterWidget( QObject* object ) = 0;
};

}

#endif
